## -*- coding: utf-8 -*-
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%!
import os, gettext
import cherrypy
from platform import uname
from utils import get_display_name, strip_pound
from pyci_db import check_user_permission
from utils import current_user
from plugin_utils import get_user_plugins
## This instantiation of _() only applies to the messages in this document (base.mako)
## Without it, things like system-messages would only get translated on the PyCI index page.
locale_dir = os.path.join(os.getcwd(), 'i18n')
try:
    trans = gettext.translation('PyCI', locale_dir)
except:
    trans = gettext.NullTranslations()
_ = lambda s: trans.ugettext(s)
%>
<%
try:
    language = os.environ['LANG']
except KeyError: # LANG isn't set
    language = u'en_US'
hostname = uname()[1]
username = cherrypy.request.login
url = cherrypy.url(relative=True)
plugins = plugin_object.__subclasses__()
display_plugins = get_user_plugins(username)
display_plugins.sort(key=lambda obj: obj.sort_priority) # Sort plugins according to their sort_priority variable
active_plugin = None
for plugin in plugins:
    if plugin.__name__ == plugin_name:
        active_plugin = plugin
%>
<html xmlns="http://www.w3.org/1999/xhtml" lang="${language}">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>${hostname} - PyCI</title>
<link rel="stylesheet" href="/static?filepath=static/css/combined.css" type="text/css" media="screen" />
<link rel="stylesheet" href="/static?filepath=html/static/css/jquery-ui-1.7.1.danblue.css" type="text/css" media="screen" />
<link rel="stylesheet" href="/static?filepath=html/static/css/main.css" type="text/css" media="screen" />
<link rel="gettext" href="/gettext_json?domain=${gettext_domain}" lang="${language}" />
<!--[if lte IE 6]>
<link rel="stylesheet" type="text/css" href="static?filepath=static/css/ie6_or_less.css" />
<![endif]-->
## jqGrid's locales (and jqGrid itself) need to be loaded separately.
<% short_lang = language.split('_')[0] %>
<script type="text/javascript" src="/static?filepath=static/js/combined.js"></script>
<script type="text/javascript" src="/static?filepath=html/static/js/common.js"></script>
<script src="/static?filepath=static/js/i18n/grid.locale-${short_lang}.js" type="text/javascript"></script>
<script src="/static?filepath=static/js/jquery.jqGrid.min.js" type="text/javascript"></script>
% if os.path.exists('/tmp/pyci_changes'):
<script type="text/javascript">
$(document).ready(function(){
    rebootRequired();
});
</script>
% endif
</head>
<body id="routerstation" class="tundra">
    <div id="system-messages">
        <div id="result" class="ui-widget ui-state-highlight ui-corner-all"></div>
        <div id="apply-changes" class="ui-widget ui-state-highlight ui-corner-all"></div>
    </div>
<div id="wrap">
    <div id="header">
        <div id="site-name"><a href="/">${hostname}</a></div>
        <ul class="nav ui-tabs-nav ui-corner-all">
        <li id="menu" class="ui-state-default ui-corner-top ui-tabs-selected ui-state-active"><a tabindex="0" href="#" class="menu" id="pyci-menu">${_('PyCI Menu')}<span class="ui-icon ui-icon-triangle-1-s"></span></a>
        </li>
        <li>&nbsp;</li>
        </ul>
        <div id="toplogo"><a href="http://www.ubnt.com/"><img src="/static?filepath=html/static/images/ubnt.gif" alt="Ubiquiti Routerstation" /></a></div>
    </div>

    <div id="content-wrap">
        <div id="utility">
        <span id="remove_option" class="ui-icon ui-icon-arrowthick-2-e-w ui-icon-right" style="cursor: pointer;" onclick="toggleNavigation();return false;"></span>
% if active_plugin:
    <div class="plugin_title">${active_plugin.__name__}</div>
    % if active_plugin.navigable_functions:
        <ul id="nav-secondary">
        % for name, link in active_plugin.navigable_functions.iteritems():
            % if name:
                <li><a href="/${active_plugin.__name__}/${link}">${name}</a></li>
            % endif
        % endfor
        </ul>
    % endif
% else:
    <div class="plugin_title">${_("PyCI Index")}</div>
% endif

        </div>

        <div id="content">
            ${next.body()}
            <div id="footer">
                <p><a href="http://www.ubnt.com">Ubiquiti Networks</a> | <a href="http://wiki.ubnt.com/wiki/index.php/RouterStation">${_("RouterStation Wiki")}</a>| ${_("Logged in as %s" % username)} (<a href="/auth/logout">${_("Logout")}</a>)</p><p>© 2008 Ubiquiti Networks, Inc. ${_("All rights reserved.")}</p>
            </div>
        </div>

        <div id="sidebar">
% if active_plugin:
    % try:
        % if active_plugin.plugin_dict['help']:
                <div id="help" class="helpbox" style="display: none;">
                <h3>${_("Help")}</h3>
                ${active_plugin.plugin_dict['help']}
                </div>
        % endif
    % except:
<!-- No help text in plugin -->
    % endtry
% endif
        </div>
        <div id="spacer"></div>
    </div>
</div>

<div id="pyci-menu-items" class="hidden">
<ul id="pyci-menu-ul">
% for plugin in display_plugins:
    <% plugin_title = get_display_name(plugin) %>
        <li><a href="/${plugin.__name__}">${plugin_title}</a>
    % if plugin.navigable_functions:
        <ul>
        % for name, link in plugin.navigable_functions.iteritems():
            % if name:
            <li><a href="/${plugin.__name__}/${link}">${name}</a></li>
            % endif
        % endfor
        </ul>
    % endif
        </li>
% endfor
## Note:  I put these here due to a rendering bug in fg.menu.js (it doesn't render the full size of submenus if the original menu wasn't as big).
<li>&nbsp;</li>
<li>&nbsp;</li>
<li>&nbsp;</li>
<li>&nbsp;</li>
<li>&nbsp;</li>
<li>&nbsp;</li>
</ul>
</div>
</body>
</html>