// This is the JavaScript loaded by our jqGrid Example page.
// Why have a separate JavaScript when we could just put this in the mako template?
// PyCI will automatically use YUI Compressor to minify all JavaScript and CSS files before it creates your plugin's zip archive
// which can save a lot of space (especially if your .js files have as many comments as this one does!).

// Note:  There *are* times when you wouldn't want to put your JavaScript in separate files...
//        For example, if you wanted to use features of Mako templates in your JavaScript (conditionals, loops, etc)
//        you'd need to put your JavaScript directly in a template.  PyCI takes advantage of this all over the place.
$(document).ready(function(){
    jQuery('#hosts').jqGrid({
        url:'/Example/jqgrid_example_json', // This is the method from our plugin that returns the data in jqGrid format
        datatype: "json",
        colNames:[_('IP Address'), _('Hostnames')], // Note the _() gettext function just in our plugin.  PyCI automatically handles it for JavaScript too!
        colModel:[
            {name:'ip',index:'ip', width: 120},
            {name:'hostnames',index:'hostnames', width: 300} // Warning: If you leave a trailing comma here Internet Explorer will barf
        ],
        width: 600, // You can make your grid as big as 900 pixels wide without messing things up for users with 1024x768 resolution
        height: "100%", // Setting the height to 100% makes the grid display all rows which are limited by the two variables below
        rowNum: 20, // Default number of rows to display
        rowList: [20,50,100], // These will be options in the navigation bar to change the number of rows to display
        multiselect: false, // Whether we want the user to be able to select more than one row at a time--for this example it doesn't really matter
        toolbar: [true, "top"], // Put a toolbar at the top with an example button
        pager: jQuery('#phosts'), // This displays the bottom navigation toolbar
        sortname: 'ip', // This tells jqGrid the row to sort by (by default)
        viewrecords: true, // Not sure if this is necessary =)
        sortorder: "asc", // Can be ascending (asc) or descending (desc)
        caption: _("This is /etc/hosts") // Warning: Don't leave a trailing comma here (see note above)
    }).navGrid("#phosts",{edit:false,add:false,del:false},{},{},{}); // For info on how jqGrid's navGrid() function works see the jqGrid site (it can be complicated).
    ToolbarButtonAdd("#t_hosts", { // PyCI's ToolbarButtonAdd() function makes it easy to add a button to jqGrid's toolbar (not the same as the pager/navbar)...
        title: _("Export this table to a spreadsheet"), // This shows up as a tooltip when the user hovers their mouse over the button
        caption: _("Export to spreadsheet"), // This is the actual text of the button.
        // For this button we're going to load a URL which exports the grid as a spreadsheet (see the example plugin for how that works)
        onClickButton: function() { document.location.href = '/Example/get_hosts_spreadsheet' }
        });
// You could add as many ToolbarButtonAdd() functions as you like right here.  They will show up in the toolbar in the same order.
});