## -*- coding: utf-8 -*-
<%
# This just keep these list items out of the pulldown menus
del plugin_dict['validation_dict']['forwarding']['list_items']
%>
<p><strong>Note:</strong> This interface allows you to configure TCP/IP forwarding (masquerading) for whole zones.  To configure <strong>port forwarding</strong> use the "Port Forwarding" tab.</p>
<div id="forwarding_accordion">
% for section in plugin_dict['firewall_conf'].sections:
    % if 'forwarding' in section['config']:
    <%
    forwarding = section['options'].values()
    forwarding.sort()
    forwarding = "_".join(forwarding)
    %>
    <h3><a href="#forwarding_${forwarding}">Forwarding traffic from ${section['options']['src']} to ${section['options']['dest']}</a></h3>
    <div id="accordion_section_div">
    <div id="${forwarding}_form_div">
    <form id="forwarding_form_${forwarding}" class="forwarding_form_class" method="post" action="/Network/update_forwarding">
        <input type="hidden" name="forwarding" value="${forwarding}" />
        <table id="${forwarding}_table" align="center" width="100%">
            <tr>
                <td style="width: 10em;"><label for="${forwarding}_delete">${_("Delete")}</label></td>
                <td align="center"><input type="checkbox" id="${forwarding}_delete" name="delete" value="${forwarding}" /></td>
            </tr>
        </table>
        <table align="center">
        <tr id="${forwarding}_options_tr">
            <td style="width: 10em;">
                <select id="${forwarding}_options" name="options" title="${_('Select a forwarding option')}">
                <option value="">${_("Add option...")}</option>
        % for option in plugin_dict['validation_dict']['forwarding'].keys():
            <%
            try:
                # NOTE: Using the option title is just a shortcut until I add
                #       full help texts that are i18n-aware (like interfaces).
                option_help = plugin_dict['validation_dict']['forwarding'][option]['title']
            except:
                option_help = _("No help text available")
            %>
                <option value="${option}">${option} - ${option_help}</option>
        % endfor
                </select>
            </td>
            <td style="width: 13.5em; text-align: right;"><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
        </table>
    </form>
    </div>
    </div>
    <script type="text/javascript">
    $(document).ready(function(){
        $("#${forwarding}_options").selectmenu({
            width: 120,
            menuWidth: 500,
            maxHeight: 300,
            format: optionHelpFormatting
        });
        $("#${forwarding}_options_tr").change(function(){
            onSelectChange($("#${forwarding}_options option:selected"), $('#${forwarding}_table'), '/Network/firewall_options_meta', 'forwarding');
        });
    % for key, value in section['options'].items():
        addField('/Network/firewall_options_meta', $('#${forwarding}_table'), '${key}', '${value}', 'forwarding');
    % endfor
        $('#forwarding_form_${forwarding}').validate({
            errorPlacement: function(error, element) {
                error.appendTo(element.parent("td").next("td"));
            },
            focusCleanup: true,
            rules: {
        % for index, option in enumerate(plugin_dict['validation_dict']['forwarding'].keys()):
## The if/else bits here are necessary because Internet Explorer will crap out of there is a trailing comma (IE is a blight on the Internet!)
            % if index < len(plugin_dict['validation_dict']['forwarding'].keys()) - 1:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=firewall&section=forwarding"
                },
            % else:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=firewall&section=forwarding"
                }
            % endif
        % endfor
            }
        });
    });
    </script>
    % endif
% endfor
## New Route section
    <h3 id="header_new_forwarding"><a href="#">${_("New Forwarding Config")}</a></h3>
    <div id="accordion_section_div">
    <div id="new_forwarding_form_div">
    <form id="new_forwarding_form" class="forwarding_form_class" method="post" action="/Network/add_forwarding">
        <input type="hidden" name="config" value="forwarding" />
        <table id="new_forwarding_table" align="center">
        </table>
        <table align="center">
        <tr id="new_forwarding_options_tr">
            <td style="width: 10em;">
                <select id="new_forwarding_options" name="options" title="${_('Select an forwarding option')}">
                <option value="">${_("Add option...")}</option>
        % for option in plugin_dict['validation_dict']['forwarding'].keys():
            <%
            try:
                option_help = plugin_dict['validation_dict']['forwarding'][option]['title']
            except:
                option_help = _("No help text available")
            %>
                <option value="${option}">${option} - ${option_help}</option>
        % endfor
                </select>
            </td>
            <td style="width: 13.5em; text-align: right;"><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
        </table>
    </form>
    </div>
    </div>
    <script type="text/javascript">
    $(document).ready(function(){
        $("#new_forwarding_options").selectmenu({
            width: 120,
            menuWidth: 500,
            maxHeight: 300,
            format: optionHelpFormatting
        });
        $("#new_forwarding_options_tr").change(function(){
            onSelectChange($("#new_forwarding_options option:selected"), $('#new_forwarding_table'), '/Network/firewall_options_meta', 'forwarding');
        });
        $('#new_forwarding_form').validate({
            errorPlacement: function(error, element) {
                error.appendTo(element.parent("td").next("td"));
            },
            focusCleanup: true,
            rules: {
        % for index, option in enumerate(plugin_dict['validation_dict']['forwarding'].keys()):
            % if index < len(plugin_dict['validation_dict']['forwarding'].keys()) - 1:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=firewall&section=forwarding"
                },
            % else:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=firewall&section=forwarding"
                }
            % endif
        % endfor
            }
        });
    });
    </script>
</div>
<script type="text/javascript">
$(document).ready(function(){
    var count = 0;
    $("#forwarding_accordion").hide();
    $("#forwarding_accordion").accordion({ collapsible: true, active: false, autoHeight: false });
    setTimeout(function() {
        $("#forwarding_accordion").fadeIn('slow');
        $("#forwarding_accordion").accordion('activate', 0);
    }, 500);
    $('.forwarding_form_class*').each(function(n) {
        $(this).ajaxForm({
            target: '#result',
            success: function(responseText) {
                showResult();
                // Note: contains() is from MochiKit.Text
                if (contains(_("<strong>Success:</strong>"), responseText)) {
                    setTimeout(function() {reloadTab($("#accordion"));}, 500);
                    rebootRequired();
                };
            }
        })
    });
    JT_uninit();
    setTimeout(function() {JT_init();}, 1000);
});
</script>
