## -*- coding: utf-8 -*-
<%
# This just keep these list items out of the pulldown menus
del plugin_dict['validation_dict']['route6']['list_items']
%>
<div id="accordion6">
% for section in plugin_dict['network_conf'].sections:
    % if 'route6' in section['config']:
    <%
    ## Replace the target subnet dots with underscores since javascript doesn't like dots in IDs
    underscored_subnet = section['options']['interface']
    underscored_subnet += section['options']['target'].replace(':', '_').replace('/', '_')
    %>
    <h3 id="header_${underscored_subnet}"><a href="#">${section['options']['interface']} ${section['options']['target']}</a></h3>
    <div id="accordion_section_div">
    <div id="${underscored_subnet}_form_div">
    <form id="route6_form_${underscored_subnet}" class="route6_form_class" method="post" action="/Network/update_route">
        <input type="hidden" name="config" value="${section['options']['interface']}_${section['options']['target']}" />
        <table id="${underscored_subnet}_table" align="center">
            <tr>
                <td style="width: 10em;"><label for="${underscored_subnet}_delete">${_("Delete")}</label></td>
                <td align="center"><input type="checkbox" id="${underscored_subnet}_delete" name="delete" value="${section['options']['target']}" /></td>
            </tr>
        </table>
        <table align="center">
        <tr id="${underscored_subnet}_options_tr">
            <td style="width: 10em;">
                <select id="${underscored_subnet}_options" name="options" title="${_('Select a route6 option')}">
                <option value="">${_("Add option...")}</option>
        % for option in plugin_dict['validation_dict']['route6'].keys():
            <%
            try:
                option_help = plugin_dict['validation_dict']['route6'][option]['title']
            except:
                option_help = _("No help text available")
            %>
                <option value="${option}">${option} - ${option_help}</option>
        % endfor
            </td>
                </select>
            <td style="width: 6.5em; text-align: right;"><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
        </table>
    </form>
    </div>
    </div>
    <script type="text/javascript">
    $(document).ready(function(){
        $("#${underscored_subnet}_options").selectmenu({
            width: 120,
            menuWidth: 500,
            maxHeight: 300,
            format: optionHelpFormatting
        });
        $("#${underscored_subnet}_options_tr").change(function(){
            onSelectChange($("#${underscored_subnet}_options option:selected"), $('#${underscored_subnet}_table'), '/Network/route_options_meta', 'route6');
        });
        $('#route6_form_${underscored_subnet}').validate({
            errorPlacement: function(error, element) {
                error.appendTo(element.parent("td").next("td"));
            },
            focusCleanup: true,
            rules: {
        % for index, option in enumerate(plugin_dict['validation_dict']['route6'].keys()):
            % if index < len(plugin_dict['validation_dict']['route6'].keys()) - 1:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=network&section=route6"
                },
            % else:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=network&section=route6"
                }
            % endif
        % endfor
            }
        });
        % for key, value in section['options'].items():
            addField('/Network/route6_options_meta', $('#${underscored_subnet}_table'), '${key}', '${value}', 'route6');
        % endfor
    });
    </script>
    % endif
% endfor
## New Route section
    <h3 id="header_new_route6"><a href="#">${_("New IPv6 Route")}</a></h3>
    <div id="accordion_section_div">
    <div id="new_route6_form_div">
    <form id="new_route6_form" class="route6_form_class" method="post" action="/Network/add_route">
        <input type="hidden" name="config" value="route6" />
        <table id="new_route6_table" align="center">
        </table>
        <table align="center">
        <tr id="new_route6_options_tr">
            <td style="width: 10em;">
                <select id="new_route6_options" name="options" title="${_('Select an route6 option')}">
                <option value="">${_("Add option...")}</option>
        % for option in plugin_dict['validation_dict']['route6'].keys():
            <%
            try:
                option_help = plugin_dict['validation_dict']['route6'][option]['title']
            except:
                option_help = _("No help text available")
            %>
                <option value="${option}">${option} - ${option_help}</option>
        % endfor
                </select>
            </td>
            <td style="width: 13.5em; text-align: right;"><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
        </table>
    </form>
    </div>
    </div>
    <script type="text/javascript">
    $(document).ready(function(){
        mandatoryField('/Network/route6_options_meta', $('#new_route6_table'), 'interface', '', 'route6');
        $('#new_route6_options').removeOption('interface')
        mandatoryField('/Network/route6_options_meta', $('#new_route6_table'), 'target', '', 'route6');
        $('#new_route6_options').removeOption('target')
        $("#new_route6_options").selectmenu({
            width: 120,
            menuWidth: 500,
            maxHeight: 300,
            format: optionHelpFormatting
        });
        $("#new_route6_options_tr").change(function(){
            onSelectChange($("#new_route6_options option:selected"), $('#new_route6_table'), '/Network/route6_options_meta', 'route6');
        });
        $('#new_route6_form').validate({
            errorPlacement: function(error, element) {
                error.appendTo(element.parent("td").next("td"));
            },
            focusCleanup: true,
            rules: {
        % for index, option in enumerate(plugin_dict['validation_dict']['route6'].keys()):
            % if index < len(plugin_dict['validation_dict']['route6'].keys()) - 1:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=network&section=route6"
                },
            % else:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=network&section=route6"
                }
            % endif
        % endfor
            }
        });
    });
    </script>
</div>
<script type="text/javascript">
$(document).ready(function(){
    $("#accordion6").hide();
    $("#accordion6").accordion({ collapsible: true, active: false, autoHeight: false });
    setTimeout(function() {
        $("#accordion6").fadeIn('slow');
        $("#accordion6").accordion('activate', 0);
    }, 500);
    $('.route6_form_class*').each(function(n) {
        $(this).ajaxForm({
            target: '#result',
            success: function(responseText) {
                showResult();
                // Note: contains() is from MochiKit.Text
                if (contains(_("<strong>Success:</strong>"), responseText)) {
                    setTimeout(function() {reloadTab($("#accordion6"));}, 500);
                    rebootRequired();
                };
            }
        })
    });
    jTipReload();
});
</script>
