## -*- coding: utf-8 -*-
<%
# This just keep these list items out of the pulldown menus
del plugin_dict['validation_dict']['zone']['list_items']
%>
<div id="accordion">
% for section in plugin_dict['firewall_conf'].sections:
    % if 'zone' in section['config']:
    <%
    zone = section['options']['name']
    %>
    <h3 id="header_${zone}"><a href="#">Zone: ${zone}</a></h3>
    <div id="accordion_section_div">
    <div id="${zone}_form_div">
    <form id="zone_form_${zone}" class="zone_form_class" method="post" action="/Network/update_zone">
        <input type="hidden" name="zone" value="${zone}" />
        <table id="${zone}_table" align="center" width="100%">
            <tr>
                <td style="width: 10em;"><label for="${zone}_delete">${_("Delete")}</label></td>
                <td align="center"><input type="checkbox" id="${zone}_delete" name="delete" value="${zone}" /></td>
            </tr>
        </table>
        <table align="center">
        <tr id="${zone}_options_tr">
            <td style="width: 10em;">
                <select id="${zone}_options" name="options" title="${_('Select a zone option')}">
                <option value="">${_("Add option...")}</option>
        % for option in plugin_dict['validation_dict']['zone'].keys():
            <%
            try:
                # NOTE: Using the option title is just a shortcut until I add
                #       full help texts that are i18n-aware (like interfaces).
                option_help = plugin_dict['validation_dict']['zone'][option]['title']
            except:
                option_help = _("No help text available")
            %>
                <option value="${option}">${option} - ${option_help}</option>
        % endfor
                </select>
            </td>
            <td style="width: 13.5em; text-align: right;"><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
        </table>
    </form>
    </div>
    </div>
    <script type="text/javascript">
    $(document).ready(function(){
        $('#${zone}_options').removeOption('name');
        $('#${zone}_options').removeOption('input');
        $('#${zone}_options').removeOption('output');
        $('#${zone}_options').removeOption('forward');
        $("#${zone}_options").selectmenu({
            width: 120,
            menuWidth: 500,
            maxHeight: 300,
            format: optionHelpFormatting
        });
        $("#${zone}_options_tr").change(function(){
            onSelectChange($("#${zone}_options option:selected"), $('#${zone}_table'), '/Network/firewall_options_meta', 'zone');
        });
    % for key, value in section['options'].items():
        addField('/Network/firewall_options_meta', $('#${zone}_table'), '${key}', '${value}', 'zone');
    % endfor
        $('#zone_form_${zone}').validate({
            errorPlacement: function(error, element) {
                error.appendTo(element.parent("td").next("td"));
            },
            focusCleanup: true,
            rules: {
        % for index, option in enumerate(plugin_dict['validation_dict']['zone'].keys()):
            % if index < len(plugin_dict['validation_dict']['zone'].keys()) - 1:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=network&section=zone"
                },
            % else:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=network&section=zone"
                }
            % endif
        % endfor
            }
        });
    });
    </script>
    % endif
% endfor
## New Zone section
    <h3 id="header_new_zone"><a href="#">${_("New Zone")}</a></h3>
    <div id="accordion_section_div">
    <div id="new_zone_form_div">
    <form id="new_zone_form" class="zone_form_class" method="post" action="/Network/add_firewall_zone">
        <table id="new_zone_table" align="center">
        </table>
        <table align="center">
        <tr id="new_zone_options_tr">
            <td style="width: 10em;">
                <select id="new_zone_options" name="options" title="${_('Select an zone option')}">
                <option value="">${_("Add option...")}</option>
        % for option in plugin_dict['validation_dict']['zone'].keys():
            <%
            try:
                option_help = plugin_dict['validation_dict']['zone'][option]['title']
            except:
                option_help = _("No help text available")
            %>
                <option value="${option}">${option} - ${option_help}</option>
        % endfor
                </select>
            </td>
            <td style="width: 13.5em; text-align: right;"><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
        </table>
    </form>
    </div>
    </div>
    <script type="text/javascript">
    $(document).ready(function(){
        mandatoryField('/Network/firewall_options_meta', $('#new_zone_table'), 'name', '', 'zone');
        $('#new_zone_options').removeOption('name');
        mandatoryField('/Network/firewall_options_meta', $('#new_zone_table'), 'forward', '', 'zone');
        $('#new_zone_options').removeOption('forward');
        mandatoryField('/Network/firewall_options_meta', $('#new_zone_table'), 'input', '', 'zone');
        $('#new_zone_options').removeOption('input');
        mandatoryField('/Network/firewall_options_meta', $('#new_zone_table'), 'output', '', 'zone');
        $('#new_zone_options').removeOption('output');
        $("#new_zone_options").selectmenu({
            width: 120,
            menuWidth: 500,
            maxHeight: 300,
            format: optionHelpFormatting
        });
        $("#new_zone_options_tr").change(function(){
            onSelectChange($("#new_zone_options option:selected"), $('#new_zone_table'), '/Network/firewall_options_meta', 'zone');
        });
        $('#new_zone_form').validate({
            errorPlacement: function(error, element) {
                error.appendTo(element.parent("td").next("td"));
            },
            focusCleanup: true,
            rules: {
        % for index, option in enumerate(plugin_dict['validation_dict']['zone'].keys()):
            % if index < len(plugin_dict['validation_dict']['zone'].keys()) - 1:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=network&section=zone"
                },
            % else:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=network&section=zone"
                }
            % endif
        % endfor
            }
        });
    });
    </script>
</div>
<script type="text/javascript">
$(document).ready(function(){
    var count = 0;
    $("#accordion").hide();
    $("#accordion").accordion({ collapsible: true, active: false, autoHeight: false });
    setTimeout(function() {
        $("#accordion").fadeIn('slow');
        $("#accordion").accordion('activate', 0);
    }, 500);
    $('.zone_form_class*').each(function(n) {
        $(this).ajaxForm({
            target: '#result',
            success: function(responseText) {
                showResult();
                // Note: contains() is from MochiKit.Text
                if (contains(_("<strong>Success:</strong>"), responseText)) {
                    setTimeout(function() {reloadTab($("#accordion"));}, 500);
                    rebootRequired();
                };
            }
        })
    });
    jTipReload();
});
</script>
