## -*- coding: utf-8 -*-
<div id="ethers_div">
    <table id="ethers" class="scroll" cellpadding="0" cellspacing="0"><tr><td></td></tr></table>
    <div id="pethers" class="scroll" style="text-align:center;"></div>
</div>
<div id="raw">
    <div id="raw_ethers">
        <p>The /etc/ethers file uses the following format (one per line): <br />"MAC address&lt;space&gt;IP address"</p>
        <br />
        <p>dnsmasq will use this file by default to assign IP addresses to clients matching the listed MAC addresses.</p>
        <form id="raw_ethers_form" method="post" action="/Network/update_raw_ethers">
        <p><textarea name="ethers" id="ethers" rows="20" cols="80" class="code">${plugin_dict['ethers']}</textarea></p>
        <p><button id="raw_ethers_cancel" class="fg-button ui-state-default ui-corner-all">${_('Cancel')}</button><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></p>
        </form>
    </div>
</div>
<script type="text/javascript">
$(document).ready(function(){
    $('#raw_ethers').hide();
    $('#raw_ethers_form').ajaxForm({
        target: '#result',
        success: function() {
            showResult();
        }
    });
    var lastsel;
    jQuery('#ethers').jqGrid({
        url:'/Network/ethers_json',
        datatype: "json",
        colNames:[_('MAC Address'), _('IP Address')],
        colModel:[
            {name:'mac',index:'mac', width:150, editable:true},
            {name:'ip',index:'ip', width:120, editable:true}
        ],
        rowNum:10,
        rowList:[10,20,30],
        multiselect: false,
        toolbar: [true, "top"],
        width: 700,
        height: "100%",
        pager: jQuery('#pethers'),
        sortname: 'ip',
        viewrecords: true,
        sortorder: "asc",
        onSelectRow: function(id){
            if(id && id!==lastsel){
                jQuery('#ethers').restoreRow(lastsel);
                jQuery('#ethers').editRow(id,true); lastsel=id;
            }
        },
        editurl: "/Network/update_ethers",
        caption: _("Edit /etc/ethers")
    }).navGrid("#pethers",{edit:true,add:true,del:true},{},{width:350},{});
    ToolbarButtonAdd("#t_ethers", {
        title: _("Edit the /etc/ethers file directly"),
        caption: _("Edit /etc/ethers"),
        onClickButton: function() {
            $('#gbox_ethers').fadeOut('slow', function() {
            $('#raw_ethers').fadeIn('slow');
            });
        }
    });
    ToolbarButtonAdd("#t_ethers", {
        title: _("Export this table to a spreadsheet"),
        caption: _("Export to spreadsheet"),
        onClickButton: function() { document.location.href = '/Network/get_ethers_spreadsheet' }
        });
    $('#raw_ethers_cancel').click(function(){
            $('#raw_ethers').fadeOut('slow', function() {
            $('#gbox_ethers').fadeIn('slow');
            });
            return false;
        }
    );
});
</script>