## -*- coding: utf-8 -*-
<%
# This just keep these list items out of the pulldown menus
del plugin_dict['validation_dict']['default']['list_items']
%>
<div id="default_accordion">
% for section in plugin_dict['qos_conf'].sections:
    % if 'default' in section['config']:
    <%
    underscored_default = section['options']['target'].replace('.', '_')
    %>
    <h3 id="header_${underscored_default}"><a href="#">${section['options']['target']}</a></h3>
    <div id="default_accordion_section_div">
    <div id="${underscored_default}_form_div">
    <form id="default_form_${underscored_default}" class="default_form_default" method="post" action="/Network/update_qos">
        <input type="hidden" name="config" value="default target ${section['options']['target']}" />
        <table id="${underscored_default}_table" align="center" width="100%">
            <tr>
                <td style="width: 10em;"><label for="${underscored_default}_delete">${_("Delete")}</label></td>
                <td align="center"><input type="checkbox" id="${underscored_default}_delete" name="delete" value="${section['options']['target']}" /></td>
            </tr>
        </table>
        <table align="center">
        <tr id="${underscored_default}_options_tr">
            <td style="width: 10em;">
                <select id="${underscored_default}_options" name="options" title="${_('Select a default option')}">
                <option value="">${_("Add option...")}</option>
        % for option in plugin_dict['validation_dict']['default'].keys():
            <%
            try:
                # NOTE: Using the option title is just a shortcut until I add
                #       full help texts that are i18n-aware (like default).
                option_help = plugin_dict['validation_dict']['default'][option]['title']
            except:
                option_help = _("No help text available")
            %>
                <option value="${option}">${option} - ${option_help}</option>
        % endfor
                </select>
            </td>
            <td style="width: 13.5em; text-align: right;"><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
        </table>
    </form>
    </div>
    </div>
    <script type="text/javascript">
    $(document).ready(function(){
        $("#${underscored_default}_options").selectmenu({
            width: 120,
            menuWidth: 500,
            maxHeight: 300,
            format: optionHelpFormatting
        });
        $("#${underscored_default}_options_tr").change(function(){
            onSelectChange($("#${underscored_default}_options option:selected"), $('#${underscored_default}_table'), '/Network/qos_options_meta', 'default');
        });
        % for key, value in section['options'].items():
            addField('/Network/qos_options_meta', $('#${underscored_default}_table'), '${key}', '${value}', 'default');
        % endfor
        $('#default_form_${underscored_default}').validate({
            errorPlacement: function(error, element) {
                error.appendTo(element.parent("td").next("td"));
            },
            focusCleanup: true,
            rules: {
        % for index, option in enumerate(plugin_dict['validation_dict']['default'].keys()):
            % if index < len(plugin_dict['validation_dict']['default'].keys()) - 1:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=qos&section=default"
                },
            % else:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=qos&section=default"
                }
            % endif
        % endfor
            }
        });
    });
    </script>
    % endif
% endfor
## New QOS Interface section
    <h3 id="header_new_default"><a href="#">${_("New Default QOS Classification")}</a></h3>
    <div id="default_accordion_section_div">
    <div id="new_default_form_div">
    <form id="new_default_form" class="default_form_default" method="post" action="/Network/add_qos_config">
        <input type="hidden" name="config" value="default" />
        <table id="new_default_table" align="center">
        </table>
        <table align="center">
        <tr id="new_default_options_tr">
            <td style="width: 10em;">
                <select id="new_default_options" name="options" title="${_('Select an default option')}">
                <option value="">${_("Add option...")}</option>
        % for option in plugin_dict['validation_dict']['default'].keys():
            <%
            try:
                option_help = plugin_dict['validation_dict']['default'][option]['title']
            except:
                option_help = _("No help text available")
            %>
                <option value="${option}">${option} - ${option_help}</option>
        % endfor
                </select>
            </td>
            <td style="width: 13.5em; text-align: right;"><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
        </table>
    </form>
    </div>
    </div>
    <script type="text/javascript">
    $(document).ready(function(){
        mandatoryField('/Network/qos_options_meta', $('#new_default_table'), 'target', '', 'default');
        $('#new_default_options').removeOption('target');
        $("#new_default_options").selectmenu({
            width: 120,
            menuWidth: 500,
            maxHeight: 300,
            format: optionHelpFormatting
        });
        $("#new_default_options_tr").change(function(){
            onSelectChange($("#new_default_options option:selected"), $('#new_default_table'), '/Network/qos_options_meta', 'default');
        });
    });
    </script>
</div>
<script type="text/javascript">
$(document).ready(function(){
    $("#default_accordion").hide();
    $("#default_accordion").accordion({ collapsible: true, active: false, autoHeight: false });
    setTimeout(function() {
        $("#default_accordion").fadeIn('slow');
        $("#default_accordion").accordion('activate', 0);
    }, 500);
    $('.default_form_default*').each(function(n) {
        $(this).ajaxForm({
            target: '#result',
            success: function(responseText) {
                showResult();
                // Note: contains() is from MochiKit.Text
                if (contains(_("<strong>Success:</strong>"), responseText)) {
                    setTimeout(function() {reloadTab($("#default_accordion"));}, 500);
                    rebootRequired();
                };
            }
        })
    });
    $('#new_default_form').validate({
            errorPlacement: function(error, element) {
                error.appendTo(element.parent("td").next("td"));
            },
            focusCleanup: true,
            rules: {
        % for index, option in enumerate(plugin_dict['validation_dict']['default'].keys()):
            % if index < len(plugin_dict['validation_dict']['default'].keys()) - 1:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=qos&section=default"
                },
            % else:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=qos&section=default"
                }
            % endif
        % endfor
            }
        });
    jTipReload();
});
</script>