## -*- coding: utf-8 -*-
<%
from openwrt import fw_rule
# This just keep these list items out of the pulldown menus
del plugin_dict['validation_dict']['rule']['list_items']
%>
<div id="rule_accordion">
% for section in plugin_dict['firewall_conf'].sections:
    % if 'rule' in section['config']:
    <%
    rule = section['options'].values()
    rule.sort()
    rule = "_".join(rule)
    rule = rule.replace('.', '_')
    rule = rule.replace(':', '_')
    iptables_strings = fw_rule(section['options'])
    iptables_string = ""
    if len(iptables_strings) > 1: # We have a set of tcpudp rules
        iptables_string = "<br />".join(iptables_strings)
    else: # Just the one rule
        iptables_string = iptables_strings[0]
    %>
    <h3><a href="#rule_${rule}">Rule: ${iptables_string}</a></h3>
    <div id="accordion_section_div">
    <div id="easy_buttons_div" class="ui-widget accordion_float_right">
    <h4 class="ui-state-active ui-corner-top ui-widget-header">&nbsp;<strong>${_("Easy Buttons")}</strong></h4>
    <table id="easy_buttons_table" width="100%" align="center">
        <tr>
            <td><button id="${rule}_rules_button" class="fg-button ui-state-default ui-corner-all">${_("See the iptables command")}</button></td>
        </tr>
    </table>
    </div>
    <div id="${rule}_form_div">
    <form id="rule_form_${rule}" class="rule_form_class" method="post" action="/Network/update_rule">
        <input type="hidden" name="rule" value="${rule}" />
        <table id="${rule}_table" align="center" width="100%">
            <tr>
                <td style="width: 10em;"><label for="${rule}_delete">${_("Delete")}</label></td>
                <td align="center"><input type="checkbox" id="${rule}_delete" name="delete" value="${rule}" /></td>
            </tr>
        </table>
        <table align="center">
        <tr id="${rule}_options_tr">
            <td style="width: 10em;">
                <select id="${rule}_options" name="options" title="${_('Select a rule option')}">
                <option value="">${_("Add option...")}</option>
        % for option in plugin_dict['validation_dict']['rule'].keys():
            <%
            try:
                # NOTE: Using the option title is just a shortcut until I add
                #       full help texts that are i18n-aware (like interfaces).
                option_help = plugin_dict['validation_dict']['rule'][option]['title']
            except:
                option_help = _("No help text available")
            %>
                <option value="${option}">${option} - ${option_help}</option>
        % endfor
            </td>
            <td style="width: 13.5em; text-align: right;"><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
        </table>
    </form>
    <div id="${rule}_rules_dialog"><textarea id="${rule}_iptables_rules" cols="80">${iptables_string}</textarea></div>
    </div>
    </div>
    <script type="text/javascript">
    $(document).ready(function(){
        $("#${rule}_options").selectmenu({
            width: 120,
            menuWidth: 500,
            maxHeight: 300,
            format: optionHelpFormatting
        });
        $("#${rule}_options_tr").change(function(){
            onSelectChange($("#${rule}_options option:selected"), $('#${rule}_table'), '/Network/firewall_options_meta', 'rule');
        });
        $('#rule_form_${rule}').validate({
            errorPlacement: function(error, element) {
                error.appendTo(element.parent("td").next("td"));
            },
            focusCleanup: true,
            rules: {
        % for index, option in enumerate(plugin_dict['validation_dict']['rule'].keys()):
            % if index < len(plugin_dict['validation_dict']['rule'].keys()):
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=firewall&section=rule"
                },
            % else:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=firewall&section=rule"
                }
            % endif
        % endfor
            }
        });
        % for key, value in section['options'].items():
            addField('/Network/firewall_options_meta', $('#${rule}_table'), '${key}', '${value}', 'rule');
        % endfor
        $('textarea#${rule}_iptables_rules').autoResize({extraSpace : 40}).trigger('change');
        $('textarea#${rule}_iptables_rules').center();
        $('#${rule}_rules_dialog').dialog({
            autoOpen: false,
            height: 250,
            width: 800,
            show: 'slide',
            hide: 'slide',
            title: 'Command Line'
        });
        $("#${rule}_rules_button").click(function() {
            $('#${rule}_rules_dialog').dialog('open');
        });
    });
    </script>
    % endif
% endfor
## New Rule section
    <h3 id="header_new_rule"><a href="#">${_("New Firewall Rule")}</a></h3>
    <div id="accordion_section_div">
## Easy Buttons
    <div id="easy_buttons_div" class="ui-widget accordion_float_right">
    <h4 class="ui-state-active ui-corner-top ui-widget-header">&nbsp;<strong>${_("Easy Buttons")}</strong></h4>
    <table id="easy_buttons_table" width="100%" align="center">
        <tr>
            <td><button id="blacklist_internet_ip" class="fg-button ui-state-default ui-corner-all">${_("Blacklist Internet IP Address")}</button></td>
        </tr>
        <tr>
            <td><button id="whitelist_internet_ip" class="fg-button ui-state-default ui-corner-all">${_("Whitelist Internet IP Address")}</button></td>
        </tr>
    </table>
    </div>
    <div id="new_rule_form_div">
    <form id="new_rule_form" class="rule_form_class" method="post" action="/Network/add_firewall_rule">
        <table id="new_rule_table" align="center">
        </table>
        <table align="center">
        <tr id="new_rule_options_tr">
            <td style="width: 10em;">
                <select id="new_rule_options" name="options" title="${_('Select an rule option')}">
                <option value="">${_("Add option...")}</option>
        % for option in plugin_dict['validation_dict']['rule'].keys():
            <%
            try:
                option_help = plugin_dict['validation_dict']['rule'][option]['title']
            except:
                option_help = _("No help text available")
            %>
                <option value="${option}">${option} - ${option_help}</option>
        % endfor
            </td>
            <td style="width: 13.5em; text-align: right;"><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></td>
        </tr>
        </table>
    </form>
    </div>
    </div>
    <script type="text/javascript">
    $(document).ready(function(){
        $("#new_rule_options").selectmenu({
            width: 120,
            menuWidth: 500,
            maxHeight: 300,
            format: optionHelpFormatting
        });
        $("#new_rule_options_tr").change(function(){
            onSelectChange($("#new_rule_options option:selected"), $('#new_rule_table'), '/Network/firewall_options_meta', 'rule');
        });
        $('#new_rule_form').validate({
            errorPlacement: function(error, element) {
                error.appendTo(element.parent("td").next("td"));
            },
            focusCleanup: true,
            rules: {
        % for index, option in enumerate(plugin_dict['validation_dict']['rule'].keys()):
            % if index < len(plugin_dict['validation_dict']['rule'].keys()):
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=firewall&section=rule"
                },
            % else:
                ${option}: {
                    required: true,
                    remote: "/Network/validate_option?config=firewall&section=rule"
                }
            % endif
        % endfor
            }
        });
    });
    </script>
</div>
<script type="text/javascript">
$(document).ready(function(){
    $('#blacklist_internet_ip').click(function() {
        addField('/Network/firewall_options_meta', $('#new_rule_table'), 'target', 'DROP', 'rule');
        addField('/Network/firewall_options_meta', $('#new_rule_table'), 'src', 'wan', 'rule');
        addField('/Network/firewall_options_meta', $('#new_rule_table'), 'src_ip', '', 'rule');
        jTipReload();
    });
    $('#whitelist_internet_ip').click(function() {
        addField('/Network/firewall_options_meta', $('#new_rule_table'), 'target', 'ACCEPT', 'rule');
        addField('/Network/firewall_options_meta', $('#new_rule_table'), 'src', 'wan', 'rule');
        addField('/Network/firewall_options_meta', $('#new_rule_table'), 'src_ip', '', 'rule');
        jTipReload();
    });
    var count = 0;
    $("#rule_accordion").hide();
    $("#rule_accordion").accordion({ collapsible: true, active: false, autoHeight: false });
    setTimeout(function() {
        $("#rule_accordion").fadeIn('slow');
        $("#rule_accordion").accordion('activate', 0);
    }, 500);
    $('.rule_form_class*').each(function(n) {
        $(this).ajaxForm({
            target: '#result',
            success: function(responseText) {
                showResult();
                // Note: contains() is from MochiKit.Text
                if (contains(_("<strong>Success:</strong>"), responseText)) {
                    setTimeout(function() {reloadTab($("#rule_accordion"));}, 500);
                    rebootRequired();
                };
            }
        })
    });
    jTipReload();
});
</script>
